spring:
  application:
    name: system-pass
  profiles:
    active: ${SPRING_PROFILES:prod}
#  zipkin:
#    base-url: http://${ZIPKIN_HOST:localhost}:9411 #2021年10月20日注释
  sleuth:
    sampler:
      #默认值为0.1f，现在为了测试设置100%采集
      percentage: 1.0      
#  cloud:
#    config:
#      fail-fast: true
#      discovery:
#        enabled: true
#        service-id: config-server
    bus:
      trace:
        enabled: false # 2021年9月10日取消springcloud中bus总线服务
      enabled: false # 2021年9月10日取消springcloud中bus总线服务
server:
  port: ${SERVER_PORT:9004}
eureka:
  client:
    fetch-registry: false # 取消从注册中心获取服务信息
    register-with-eureka: false # 取消注册服务到注册中心
    serviceUrl:
      defaultZone: http://root:root@${EUREKA_HOST:localhost}:${EUREKA_PORT:8061}/eureka/
    metadata-map:
      cluster: ribbon
  instance:
    hostname: system-base-pass
    status-page-url: http://${SWAGGER_INDEX:localhost:9002}/swagger-ui.html
    prefer-ip-address: true
    instance-id: ${spring.cloud.client.ip-address}:${server.port}
#禁止调用eureka client获取注册列表信息
ribbon:
  eureka:
    enabled: false # 2021年9月10日取消注册服务到注册中心
#新版配置，否则后面dashboard无法找到hystrix.stream
management:
  endpoints:
    web:
      exposure:
        include: '*'